/*
 ATtiny1634 Test
 Version: 1.0
 Author: Alex from insideGadgets (http://www.insidegadgets.com)
 Created: 27/05/2014
 Last Modified: 27/05/2014
 
 */

#define F_CPU 1000000 // 1 MHz

#define LED PB0

#include <avr/io.h>
#include <avr/interrupt.h>
#include <avr/sleep.h>
#include <util/delay.h>
#include "setup.c"

// ATtiny1634 Pin map
//
//              +-\/-+
//    LED PB0  1|o   |20  PB1 MOSI
//        PA7  2|    |19  PB2 MISO
//        PA6  3|    |18  PB3
//        PA5  4|    |17  PC0
//        PA4  5|    |16  PC1 SCK
//        PA3  6|    |15  PC2
//        PA2  7|    |14  PC3 RESET
//        PA1  8|    |13  PC4
//        PA0  9|    |12  PC5
//        GND 10|    |11  VCC
//              +----+

int main(void) {
	setup();
	
	while(1) {
		PORTB |= (1<<LED);
		watchdog_sleep(T500MS);
		PORTB &= ~(1<<LED);
		watchdog_sleep(T500MS);
		PORTB |= (1<<LED);
		watchdog_sleep(T250MS);
		PORTB &= ~(1<<LED);
		watchdog_sleep(T250MS);
		PORTB |= (1<<LED);
		watchdog_sleep(T64MS);
		PORTB &= ~(1<<LED);
		watchdog_sleep(T64MS);
		PORTB |= (1<<LED);
		watchdog_sleep(T32MS);
		PORTB &= ~(1<<LED);
		watchdog_sleep(T32MS);
	}
}

ISR(WDT_vect) { }
